<?php
/**
 * Psychology and Wellness functions
 */

if ( ! function_exists( 'psychology_and_wellness_setup' ) ) :
function psychology_and_wellness_setup() {
    load_theme_textdomain( 'psychology-and-wellness', get_template_directory() . '/languages' );

	/**
	* About Theme Function
	*/
	require get_theme_file_path( '/about-theme/about-theme.php' );

}
endif; 
add_action( 'after_setup_theme', 'psychology_and_wellness_setup' );

if ( ! function_exists( 'psychology_and_wellness_styles' ) ) :
	function psychology_and_wellness_styles() {
		// Register theme stylesheet.
		wp_register_style('psychology-and-wellness-style',
			get_template_directory_uri() . '/style.css',array(),
			wp_get_theme()->get( 'Version' )
		);
		
		wp_enqueue_style( 'fontawesome-style', 
			get_template_directory_uri() .'/assets/fontawesome/css/all.css', 
			array(), 
			wp_get_theme()->get('Version') 
		);

		wp_enqueue_script('psychology-and-wellness-js', 
			get_template_directory_uri() . '/assets/js/effects.js',
			array('jquery'), 
			wp_get_theme()->get('Version'),
			true 
		);

		wp_enqueue_style( 'scroll-to-top-style',
			get_template_directory_uri() . '/assets/css/scroll-to-top.css',
			array(),
			wp_get_theme()->get('Version')
		);

		wp_enqueue_script( 'scroll-to-top-js',
			get_template_directory_uri() . '/assets/js/scroll-to-top.js',
			array(),
			wp_get_theme()->get('Version'),
			true
		);

		wp_enqueue_style( 'dashicons' );

		// Enqueue theme stylesheet.
		wp_enqueue_style( 'psychology-and-wellness-style' );

		wp_style_add_data( 'psychology-and-wellness-style', 'rtl', 'replace' );

	}
endif;
add_action( 'wp_enqueue_scripts', 'psychology_and_wellness_styles' );

/**
 * Customizer
 */
require get_template_directory() . '/inc/customizer.php';